# 类: BotAPI

[(返回目录)](/api.md)

**继承自:** [RainyBotAPI](/api/rainybotapi.md)

**子类:** [Bot](/api/bot.md), [BotRequestResult](/api/botrequestresult.md)

协议后端API类，直接或间接继承此类的类通常包含各类与协议后端直接相关的功能


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.rainybot.dev/api/botapi.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
